[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Gnash-dev] Failing to build mozilla plugin for gnash-0.8.7

From: strk
Subject: Re: [Gnash-dev] Failing to build mozilla plugin for gnash-0.8.7
Date: Sun, 21 Feb 2010 00:30:04 +0100

On Sat, Feb 20, 2010 at 05:47:15AM +0100, Julian Seward wrote:

> I configured with
>   ./configure --prefix=`pwd`/Inst --enable-gui=gtk
> and that builds and "make install"s ok.  However, when I looking in
> $prefix/lib/gnash for, it isn't there.

You'd need 'make install-plugins' to install the plugins.
Also, the default install policy for the plugins is bound
to user, not system nor prefix.

See ./configure --help:

                          Policy for plugins install. Default: user.

> If I copy the entire contents of $prefix/lib/gnash, as shown below,
> to ~/.mozilla/plugins, and restart Firefox, I get a bunch of
> complaints like this
>   LoadPlugin: failed to initialize shared library 
>   .mozilla/plugins/
>   [.mozilla/plugins/ undefined symbol:
>    _ZTIN5gnash8ImageRGBE]
> What am I doing wrong?

Copying the entire contents of $prefix/lib/gnash :)
Just run 'make install-plugins', if the NPAPI plugin
was built it'll get installed in ~/.mozilla/plugins
or something along those lines (make dumpconfig should
tell you).

NOTE: the NPAPI plugins is enabled whenever you enable the GTK gui
      (on by default)


  ()   Free GIS & Flash consultant/developer

reply via email to

[Prev in Thread] Current Thread [Next in Thread]